Technical Help

If you are experiencing problems with the HCD's website, check the following list before contacting the HCD Webmaster:

* Older Version of Browser

You should be using either Microsoft Internet Explorer (IE), version 10.0 or higher. If you are using an older version, you will need to upgrade it.

If your are using any of the online secure applications, use Internet Explorer version 10.0 or higher only.

If you still need assistance, contact the HCD Webmaster.